# TaskDependency

interface TaskDependency

A `TaskDependency` represents an unordered set of tasks which a Task depends on. Gradle ensures that all the dependencies of a task are executed before the task itself is executed.

You can add a `TaskDependency` to a task by calling the task's dependsOn method.

## Functions

getDependencies
Link copied to clipboard
abstract fun getDependencies(@Nullable task: @Nullable Task): Set<out Task>
Determines the dependencies for the given Task.